## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <entDoc>

`<entDoc>` | (entity documentation) formally documents a single named entity used within an SGML or XML encoding scheme.

Attributes

(In addition to global attributes)

`type` | indicates whether this is a general or a parameter entity.
| Datatype: (pe | ge)

Legal values are:

pe | parameter entity
ge | general entity

| Default: #REQUIRED

Example

    <entDoc id="EXTPTR" type="pe">
      <entName>extPtr</entName>
      <rs>extended-pointer expression</rs>
      <desc>used as the declared value of an attribute, indicates that all
        values of that attribute must be valid expressions in the TEI
        extended pointer notation.</desc>
      <string>'CDATA'</string>
      <ptr target="SAXR1"/>
    </entDoc>

Module Declared in file teitsd2; Auxiliary DTD for Tag Set documentation
May contain desc entName equiv ptr remarks rs string
May occur within
Declaration

    <!ELEMENT entDoc %om.RR; (entName, rs?, desc, remarks?, string, ptr*,
    equiv*)>
    <!ATTLIST entDoc
          %a.global;
          type (pe | ge) #REQUIRED>

See further 27.3 Entity Documentation; 27 Tag Set Documentation

Up: 35 Elements